/////////1/////////2/////////3/////////4/////////5/////////6/////////7/////////8
// tree_iarchive.cpp:
//
// (C) Copyright 2002 Robert Ramey - http://www.rrsd.com . 
// Use, modification and distribution is subject to the Boost Software
// License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
// http://www.boost.org/LICENSE_1_0.txt)
//
// See http://www.boost.org for updates, documentation, and revision history.

#if (defined _MSC_VER) && (_MSC_VER == 1200)
#  pragma warning (disable : 4786) // too long name, harmless warning
#endif

#define BOOST_ARCHIVE_SOURCE
#include"boost_tree_iarchive.hpp"

//#include <boost/archive/impl/basic_tree_iarchive.ipp>
//#include <boost/archive/impl/archive_pointer_iserializer.ipp>
#include<boost/archive/impl/archive_serializer_map.ipp>
#include"boost_tree_iarchive_impl.ipp"

namespace boost {
namespace archive {

// explicitly instantiate for this type of tree stream
template class basic_tree_iarchive<tree_iarchive> ;
template class detail::archive_serializer_map<tree_iarchive> ;
template class tree_iarchive_impl<tree_iarchive> ;

} // namespace archive
} // namespace boost

